Bug 585361 - [abrt] crash in oggvideotools-0.7b-3.fc12: Process /usr/bin/oggCut was killed by signal 6 (SIGABRT)
[abrt] crash in oggvideotools-0.7b-3.fc12: Process /usr/bin/oggCut was killed...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: oggvideotools (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Miller
Fedora Extras Quality Assurance
abrt_hash:59d8bd25cfea33835e5699a1689...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 15:20 EDT by Benjamin Bellec
Modified: 2010-11-03 13:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-03 13:39:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (9.34 KB, text/plain)
2010-04-23 15:20 EDT, Benjamin Bellec
no flags Details

  None (edit)
Description Benjamin Bellec 2010-04-23 15:20:32 EDT
abrt 1.0.8 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: oggCut -i out.ogv -o out2.ogv -s 53000 -e 77000
comment: The video length is 1 minute 32 seconds (verified in Totem), so 77000 ms is roughly 1 min 28 seconds.
component: oggvideotools
executable: /usr/bin/oggCut
kernel: 2.6.32.11-99.fc12.x86_64
package: oggvideotools-0.7b-3.fc12
rating: 4
reason: Process /usr/bin/oggCut was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Get a Theora video file (created from "recordmydesktop.x86_64.fc13")
2. Perform the command provided is this report to cut the video
Comment 1 Benjamin Bellec 2010-04-23 15:20:36 EDT
Created attachment 408710 [details]
File: backtrace
Comment 2 Benjamin Bellec 2010-04-23 15:22:22 EDT
To add some precision :
$ oggLength out.ogv
92200
Comment 3 Adam Miller 2010-05-24 17:50:26 EDT
Apologies for the lag time on this.

Please grab this tentative testing update and see if it works, if this fixes your issue I will request it be pushed to the repositories.

http://koji.fedoraproject.org/koji/buildinfo?buildID=174925
Comment 4 Benjamin Bellec 2010-05-26 15:18:45 EDT
Ok I redo the same command on the same video with the updated package and I have no more crash.

I have this result :
$ oggCut -i out.ogv -o out2.ogv -s 53000 -e 77000
Stream No: 0(0x0)
Stream No: 1(0x531f9fc1)

Size         : 1680 x 1040 (Frame Size : 1680 x1040 )
KeyframeShift: 6
Aspect Ratio : 1:1
Framerate    : 1500/100
Offset       : 0:0
Quality      : 63 / 61
Datarate     : 0

StreamMux::operator<<: Warning: packet number for stream <1> not matching: expected: 3 got 835


I don't now if it's a bug or not.
Comment 5 Adam Miller 2010-05-26 15:56:07 EDT
Does the resulting video function as expected? If so I imagine the warning can be safely ignored.

If not we can diagnose further.

-AdamM
Comment 6 Benjamin Bellec 2010-05-26 16:01:21 EDT
Hey, I didn't saw the first time, but in fact the video was correctly shrinked despite the output.
So the bug can be closed.
Comment 7 Benjamin Bellec 2010-06-17 03:24:27 EDT
oggvideotools is not yet in updates-testing ?
Comment 8 Bug Zapper 2010-11-03 12:27:09 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.